{
    "SPDXID": "SPDXRef-DOCUMENT",
    "creationInfo": {
        "created": "2024-10-02T14:50:49Z",
        "creators": [
            "Organization: TheQtCompany",
            "Tool: Qt Build System"
        ],
        "comment": "This SPDX document was created from CMake 3.27.7, using the qt\nbuild system from https://code.qt.io/cgit/qt/qtbase.git/tree/cmake/QtPublicSbomHelpers.cmake"
    },
    "dataLicense": "CC0-1.0",
    "externalDocumentRefs": [
        {
            "externalDocumentId": "DocumentRef-qtbase",
            "spdxDocument": "https://qt.io/spdxdocs/qtbase-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "a8316501b90554df26cde28b30c443e83cf3b4da"
            }
        },
        {
            "externalDocumentId": "DocumentRef-qtdeclarative",
            "spdxDocument": "https://qt.io/spdxdocs/qtdeclarative-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "94075d5b1f0a881cc41876da6a4ce14f86fda5d6"
            }
        }
    ],
    "hasExtractedLicensingInfos": [
        {
            "extractedText": "Licensees holding valid commercial Qt licenses may use this software in\naccordance with the the terms contained in a written agreement between\nyou and The Qt Company. Alternatively, the terms and conditions that were\naccepted by the licensee when buying and/or downloading the\nsoftware do apply.\n\nFor the latest licensing terms and conditions, see https://www.qt.io/terms-conditions.\nFor further information use the contact form at https://www.qt.io/contact-us.\n",
            "licenseId": "LicenseRef-Qt-Commercial"
        }
    ],
    "name": "qtremoteobjects-6.8.0",
    "spdxVersion": "SPDX-2.3",
    "documentNamespace": "https://qt.io/spdxdocs/qtremoteobjects-6.8.0",
    "packages": [
        {
            "SPDXID": "SPDXRef-compiler",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "Clang",
            "primaryPackagePurpose": "APPLICATION",
            "summary": "The compiler as identified by CMake, running on Darwin (x86_64)",
            "supplier": "Organization: Anonymous",
            "versionInfo": "17.0.2"
        },
        {
            "SPDXID": "SPDXRef-Package-qtremoteobjects",
            "builtDate": "2024-10-02T14:50:49Z",
            "comment": "Built by CMake 3.27.7 with RelWithDebInfo configuration for Android (aarch64)",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtremoteobjects.git",
            "externalRefs": [
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtremoteobjects@6.8.0",
                    "referenceType": "purl"
                }
            ],
            "filesAnalyzed": true,
            "homepage": "https://qt.io",
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "qtremoteobjects",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "54890383d75ec0882f6d34099788a8db47dace8c"
            },
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtremoteobjects-qt-module-RepParser",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtremoteobjects.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtremoteobjects?library_name=RepParser#src/repparser",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtremoteobjects-RepParser?vcs_url=https://code.qt.io/qt/qtremoteobjects.git&library_name=RepParser#src/repparser",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtremoteobjects:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "RepParser",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtremoteobjects-qt-module-RemoteObjects",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtremoteobjects.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtremoteobjects?library_name=RemoteObjects#src/remoteobjects",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtremoteobjects-RemoteObjects?vcs_url=https://code.qt.io/qt/qtremoteobjects.git&library_name=RemoteObjects#src/remoteobjects",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtremoteobjects:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "RemoteObjects",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtremoteobjects-qt-module-RemoteObjectsQml",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtremoteobjects.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtremoteobjects?library_name=RemoteObjectsQml#src/remoteobjectsqml",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtremoteobjects-RemoteObjectsQml?vcs_url=https://code.qt.io/qt/qtremoteobjects.git&library_name=RemoteObjectsQml#src/remoteobjectsqml",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtremoteobjects:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "RemoteObjectsQml",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtremoteobjects-qt-plugin-declarative-remoteobjects",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtremoteobjects.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtremoteobjects?library_name=declarative_remoteobjects#src/remoteobjectsqml",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtremoteobjects-declarative_remoteobjects?vcs_url=https://code.qt.io/qt/qtremoteobjects.git&library_name=declarative_remoteobjects#src/remoteobjectsqml",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtremoteobjects:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "declarative_remoteobjects",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        }
    ],
    "files": [
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "7c892c0254e0333615576995915b51dd51a22751"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./lib/libQt6RemoteObjects_arm64-v8a.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-RemoteObjectsQml",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "e1d1f0e06fca7fc068aca454129387bf62643463"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./lib/libQt6RemoteObjectsQml_arm64-v8a.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-declarative-remoteobjects",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "c756bdecbdd58e03dd1710c8a65483039b9aceae"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./qml/QtRemoteObjects/libqml_QtRemoteObjects_declarative_remoteobjectsplugin_arm64-v8a.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        }
    ],
    "relationships": [
        {
            "spdxElementId": "SPDXRef-compiler",
            "comment": "SPDXRef-Package-qtremoteobjects is built by compiler Clang (/opt/android/android-ndk-r26b/toolchains/llvm/prebuilt/darwin-x86_64/bin/clang++) version 17.0.2",
            "relatedSpdxElement": "SPDXRef-Package-qtremoteobjects",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-DOCUMENT",
            "relatedSpdxElement": "SPDXRef-Package-qtremoteobjects",
            "relationshipType": "DESCRIBES"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtremoteobjects-qt-module-RepParser",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtremoteobjects",
            "relatedSpdxElement": "SPDXRef-Package-qtremoteobjects-qt-module-RepParser",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtremoteobjects-qt-module-RemoteObjects",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtremoteobjects-qt-module-RemoteObjects",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtremoteobjects-qt-module-RemoteObjects",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Network",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtremoteobjects",
            "relatedSpdxElement": "SPDXRef-Package-qtremoteobjects-qt-module-RemoteObjects",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtremoteobjects-qt-module-RemoteObjects",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtremoteobjects-qt-module-RemoteObjects",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects//Users/qt/work/qt/qtremoteobjects/build/target/include/QtRemoteObjects/qtremoteobjectsexports.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qconnection_local_backend.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qconnection_local_backend_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qconnection_tcpip_backend.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qconnection_tcpip_backend_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qconnectionfactories.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qconnectionfactories.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qconnectionfactories_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectabstractitemmodeladapter.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectabstractitemmodeladapter_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectabstractitemmodelreplica.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectabstractitemmodelreplica.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectabstractitemmodelreplica_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectabstractitemmodeltypes_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectcontainers.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectcontainers_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectdynamicreplica.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectdynamicreplica.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectnode.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectnode.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectnode_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectpacket.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectpacket_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectpendingcall.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectpendingcall.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectpendingcall_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectregistry.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectregistry.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectregistrysource.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectregistrysource_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectreplica.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectreplica.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectreplica_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectsettingsstore.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectsettingsstore.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectsource.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectsource.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectsource_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectsourceio.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qremoteobjectsourceio_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qtremoteobjectglobal.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects/qtremoteobjectglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects//Users/qt/work/qt/qtremoteobjects/build/target/src/remoteobjects/qtremoteobjects-config.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects//Users/qt/work/qt/qtremoteobjects/build/target/src/remoteobjects/qtremoteobjects-config_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjects//Users/qt/work/qt/qtremoteobjects/build/target/src/remoteobjects/meta_types/qt6remoteobjects_relwithdebinfo_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtremoteobjects-qt-module-RemoteObjectsQml",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtremoteobjects-qt-module-RemoteObjectsQml",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtremoteobjects-qt-module-RemoteObjectsQml",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Gui",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtremoteobjects-qt-module-RemoteObjectsQml",
            "relatedSpdxElement": "DocumentRef-qtdeclarative:SPDXRef-Package-qtdeclarative-qt-module-Qml",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtremoteobjects-qt-module-RemoteObjectsQml",
            "relatedSpdxElement": "SPDXRef-Package-qtremoteobjects-qt-module-RemoteObjects",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtremoteobjects",
            "relatedSpdxElement": "SPDXRef-Package-qtremoteobjects-qt-module-RemoteObjectsQml",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtremoteobjects-qt-module-RemoteObjectsQml",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-RemoteObjectsQml",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtremoteobjects-qt-module-RemoteObjectsQml",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-RemoteObjectsQml",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjectsQml",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjectsqml/qremoteobjectsqml_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjectsQml",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjectsqml//Users/qt/work/qt/qtremoteobjects/build/target/src/remoteobjectsqml/meta_types/qt6remoteobjectsqml_relwithdebinfo_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjectsQml",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjectsqml//Users/qt/work/qt/qtremoteobjects/build/target/src/remoteobjectsqml/remoteobjectsqml_qmltyperegistrations.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-RemoteObjectsQml",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjectsqml//Users/qt/work/qt/qtremoteobjects/build/target/src/remoteobjectsqml/.qt/rcc/qrc_qmake_QtRemoteObjects.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtremoteobjects-qt-plugin-declarative-remoteobjects",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtremoteobjects",
            "relatedSpdxElement": "SPDXRef-Package-qtremoteobjects-qt-plugin-declarative-remoteobjects",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtremoteobjects-qt-plugin-declarative-remoteobjects",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-declarative-remoteobjects",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtremoteobjects-qt-plugin-declarative-remoteobjects",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-declarative-remoteobjects",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-declarative-remoteobjects",
            "comment": "/Users/qt/work/qt/qtremoteobjects/src/remoteobjectsqml//Users/qt/work/qt/qtremoteobjects/build/target/src/remoteobjectsqml/declarative_remoteobjects_QtRemoteObjectsPlugin.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        }
    ]
}